#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "callbacks.h"
/*#include "interface.h"
#include "support.h"
#include "gwireless_applet.h"
*/

void
on_applet_change_orient                 (GtkWidget * gnomeapplet,
                                            PanelOrientType orient,
                                            gpointer data)
{

	WirelessApplet * wdata = data;

	wdata->orient = orient;

	switch (orient)
	{

		case ORIENT_UP:
		case ORIENT_DOWN:

#ifdef DEBUG
			g_print("Got UP or Down\n");
#endif

			break;

		case ORIENT_LEFT:
		case ORIENT_RIGHT:

#ifdef DEBUG
			g_print("Got Left or Right\n");
#endif

			break;
	}

}


void
on_applet_change_pixel_size                 (GtkWidget * gnomeapplet,
                                            gint size,
                                            gpointer data)
{
	WirelessApplet * wdata = data;
	wdata->size = size;
	gtk_widget_set_usize(wdata->main_box, 22, 22);

#ifdef DEBUG
	g_print ("Got Size of %d pixels\n", size);
#endif

}

void
on_signalwidget_expose_event              (GtkWidget * signalwidget,
                                        GdkEventExpose *event,
                                            gpointer data)
{

	WirelessApplet * wdata = data;
	wdata->force = TRUE;
	signal_update(wdata);
#ifdef DEBUG
	g_print ("Got expose event\n");
#endif

}

